commit 3be208bdbd02bb5e25c4c25019280bc4f54fd481
Author: Timo Sirainen <timo.sirainen@open-xchange.com>
Date:   Tue Jun 22 13:28:34 2021 +0200

    lib-dict: Fix linking when building without Lua
    
    Linking didn't work on some non-Linux OSes (non-GNU linkers?)

diff --git a/src/lib-dict/Makefile.am b/src/lib-dict/Makefile.am
index d63522c0e5..97e5eb6135 100644
--- a/src/lib-dict/Makefile.am
+++ b/src/lib-dict/Makefile.am
@@ -1,6 +1,5 @@
 noinst_LTLIBRARIES = \
-	libdict.la \
-	libdict_lua.la
+	libdict.la
 
 AM_CPPFLAGS = \
 	-I$(top_srcdir)/src/lib \
@@ -26,13 +25,12 @@ headers = \
 	dict-private.h \
 	dict-transaction-memory.h
 
-if HAVE_LUA
-libdict_lua_la_SOURCES =
-
 # Internally, the dict methods yield via lua_yieldk() as implemented in Lua
 # 5.3 and newer.
 if DLUA_WITH_YIELDS
-libdict_lua_la_SOURCES += \
+noinst_LTLIBRARIES += libdict_lua.la
+
+libdict_lua_la_SOURCES = \
 	dict-lua.c \
 	dict-iter-lua.c \
 	dict-txn-lua.c
@@ -43,7 +41,6 @@ libdict_lua_la_CPPFLAGS = \
 libdict_lua_la_LIBADD =
 libdict_lua_la_DEPENDENCIES = \
 	libdict.la
-endif
 
 headers += \
 	dict-lua.h \
